# Maintainer: Imperator Storm <ImperatorStorm11@protonmail.com>
# Contributor: q234 rty <q23456yuiop at gmail dot com>
# Contributor: Sam L. Yes <samlukeyes123 at gmail dot com>

_repo_name=waydroid_script
_script=main.py
pkgname=waydroid-script-git
_pkgname=waydroid-script
pkgver=r177.1a2d3ad
pkgrel=2
pkgdesc="Python Script to add OpenGapps, Magisk, libhoudini translation library and libndk translation library to waydroid"
arch=('any')
url="https://github.com/casualsnek/$_repo_name"
license=(GPL3)
makedepends=(git)
depends=(python-requests python-tqdm python-inquirerpy dbus-python lzip sqlite waydroid)
optdepends=()
provides=(waydroid-script)
conflicts=(waydroid-script)
source=("git+${url}.git" 'waydroid-extras')
sha256sums=('SKIP'
            '4c430743b0bcbcd51b04023e44d0102e21ad477aa15ea3ec0b419bb338e468c2')

pkgver() {
    cd ${srcdir}/$_repo_name
    printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

package() {
    cd ${srcdir}/$_repo_name
    install -d ${pkgdir}/opt/${_pkgname}
    cp -r * ${pkgdir}/opt/${_pkgname}/
    install -Dm755 ${srcdir}/waydroid-extras ${pkgdir}/usr/bin/waydroid-extras
    install -Dm644 ${pkgdir}/opt/${_pkgname}/LICENSE ${pkgdir}/usr/share/licenses/$pkgname/LICENSE
    install -Dm644 ${pkgdir}/opt/${_pkgname}/README.md ${pkgdir}/usr/share/doc/$pkgname/README.md
    rm -rf ${pkgdir}/opt/${_pkgname}/{LICENSE,README.md,requirements.txt,assets}
}
